Subject: Re: [lojban] CVS ettiquette

From: Robin Lee Powell <[email-masked]>
Date: Sun, 6 May 2001 22:42:23 -0700

On Sat, May 05, 2001 at 11:48:55PM -0400, Pierre Abbat wrote:
> I looked through the log and saw a large number of entries with no message.
> Please put a note in the log each time you commit saying what change you made,
> and if it's anything more than a short comment, post it to the list.
> 
> As some of you are new to CVS, I'll explain in detail:
> When you type "cvs commit", CVS talks to the server, and after a while brings
> up an editor (normally vi, but you can select another with the EDITOR
> environment variable; I use kwrite) with a few lines like this:
> 
> CVS: ----------------------------------------------------------------------
> CVS: Enter Log. Lines beginning with `CVS:' are removed automatically
> CVS: 
> CVS: Committing in .
> CVS: 
> CVS: Modified Files:
> CVS: ot-exodus.texinfo 
> CVS: Added Files:
> CVS: NEW_WORDS 
> CVS: ----------------------------------------------------------------------
> 
> There is a blank line before the first "CVS:" line, and the cursor is on that
> line. Enter the comment (in vi you have to first type 'a' or 'i', and hit
> Escape when you're finished), copy the entire file to the clipboard (this is
> not a vi function; highlight it with the mouse), compose a mail message, paste
> it (middle mouse button; but from kwrite to kmail you can use ^C and ^V), close
> the editor (:wq in vi), and send the message. If it's not obvious what
> directory you were in when you typed "cvs commit", please add that to the CVS
> comment.

Thanks, Pierre, although I'll admit some of those blanks are mine. 8)

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/